/* $Id: DSCFileHeader.java 125 2011-03-09 09:49:51Z ohura $ */
/*
 * 作成日： 2006/08/25
 */
package jp.ac.hokudai.meme.core_smart_gs;

public class DSCFileHeader {
    public static final int FILE_TYPE_DS = 1;
    
    protected int fileType_ = 0;

    protected int version_ = 0;

    protected int dscDimension_ = 0;

    protected int slitCount_ = 0;

    public DSCFileHeader(int fileType, int version, int dscDimension, int slitCount) {
        fileType_ = fileType;
        version_ = version;
        dscDimension_ = dscDimension;
        slitCount_ = slitCount;
    }

    public int getDscDimension() {
        return dscDimension_;
    }

    public void setDscDimension(int dscDimension) {
        this.dscDimension_ = dscDimension;
    }

    public int getFileType() {
        return fileType_;
    }

    public void setFileType(int fileType) {
        this.fileType_ = fileType;
    }

    public int getSlitCount() {
        return slitCount_;
    }

    public void setSlitCount(int slitCount) {
        this.slitCount_ = slitCount;
    }

    public int getVersion() {
        return version_;
    }

    public void setVersion(int version) {
        this.version_ = version;
    }

    
    
    public static int checkFType(byte[] fileType) {
    //        TODO impl
            return FILE_TYPE_DS;
        }

    /**
     * @param args
     */
    public static void main(String[] args) {
    }

}
